NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.SketchRadialDimensionBuilder Class Reference

Represents a NXOpen.SketchRadialDimensionBuilder More...

Inheritance diagram for NXOpen.SketchRadialDimensionBuilder:
NXOpen.Annotations.BaseRadialDimensionBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe
NXOpen.Annotations.DrivingValueBuilder 
Driving [get]
 Returns the driving value builder, which manages driving dimension values More...
 
- Properties inherited from NXOpen.Annotations.BaseRadialDimensionBuilder
unsafe
NXOpen.Annotations.AppendedTextBuilder 
AppendedText [get]
 Returns the appended text More...
 
unsafe double DiameterDimensionDimLineAngle [get, set]
 Returns or sets the diameter dimension's dimension-line-angle More...
 
unsafe NXOpen.SelectNXObject FirstAssociativity [get]
 Returns the first associativity. More...
 
unsafe
NXOpen.SelectDisplayableObject 
FoldLocation [get]
 Returns the fold location More...
 
unsafe
NXOpen.SelectDisplayableObject 
Inherit [get]
 Returns the inherit More...
 
unsafe bool IsFoldedRadius [get, set]
 Returns or sets the is folded radius More...
 
unsafe bool IsHoleStyle [get, set]
 Returns or sets the is hole style dimension More...
 
unsafe bool IsRadiusToCenter [get, set]
 Returns or sets the is radius to center More...
 
unsafe
NXOpen.Annotations.DimensionMeasurementBuilder 
Measurement [get]
 Returns the measurement More...
 
unsafe
NXOpen.SelectDisplayableObject 
OffsetCenterPoint [get]
 Returns the offset center point More...
 
unsafe
NXOpen.Annotations.OriginBuilder 
Origin [get]
 Returns the origin More...
 
unsafe
NXOpen.Annotations.StyleBuilder 
Style [get]
 Returns the style More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.SketchRadialDimensionBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateRadialDimensionBuilder

Created in NX9.0.0

Property Documentation

unsafe NXOpen.Annotations.DrivingValueBuilder NXOpen.SketchRadialDimensionBuilder.Driving
get

Returns the driving value builder, which manages driving dimension values

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.